Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Conversation Events

List Conversation Events

GET
/v1/conversation-events

Returns a paginated list of conversation Events.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

conversation?string

Filters resources by conversation.

Formatuuid
inbox?string

Filters resources by inbox.

Formatuuid
channel?string

Filters resources by channel.

Formatuuid
channel[in]?array<>

Filters by any of the supplied channel values.

Itemsitems <= 10
type?"conversation.assigned" | "conversation.unassigned" | "conversation.closed" | "conversation.reopened" | "conversation.inbox_changed" | "conversation.tag_added" | "conversation.tag_removed" | "message.received" | "message.submitted" | "message.sent" | "message.sending_failed" | "message.delivery_failed" | "message.submission_failed" | "message.read" | "comment.created" | "message_action.clicked"

Type of the resource.

type[in]?array<"conversation.assigned" | "conversation.unassigned" | "conversation.closed" | "conversation.reopened" | "conversation.inbox_changed" | "conversation.tag_added" | "conversation.tag_removed" | "message.received" | "message.submitted" | "message.sent" | "message.sending_failed" | "message.delivery_failed" | "message.submission_failed" | "message.read" | "comment.created" | "message_action.clicked">

Filters by any of the supplied type values.

created_at[gt]?string

Only returns resources whose created at is after this timestamp (exclusive). See Filtering for timestamp precision.

Formatdate-time
created_at[gte]?string

Only returns resources whose created at is at or after this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
created_at[lt]?string

Only returns resources whose created at is before this timestamp (exclusive). See Filtering for timestamp precision.

Formatdate-time
created_at[lte]?string

Only returns resources whose created at is at or before this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
contact?string

Filters resources by contact.

Formatuuid
actor_type?"api_token" | "channel" | "comment" | "cs_agent" | "cs_agent_session" | "employee" | "form_submission" | "inbox" | "message" | "message_action" | "recipient" | "service_role" | "tag" | "voice_call"

Type of entity that performed the event.

actor?string

Entity that performed the event.

Formatuuid
resource_type?"api_token" | "channel" | "comment" | "cs_agent" | "cs_agent_session" | "employee" | "form_submission" | "inbox" | "message" | "message_action" | "recipient" | "service_role" | "tag" | "voice_call"

Type of entity affected by the event.

resource?string

Entity affected by the event, or null when unavailable.

Formatuuid
resource[neq]?string

Filters out resources with this resource.

Formatuuid
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
starting_after?string

Id of an object in the list. Returns the objects right after it, which are older because lists are sorted newest first. See Pagination.

Formatuuid
ending_before?string

Id of an object in the list. Returns the objects right before it, which are newer because lists are sorted newest first. Use it to poll for new objects. See Pagination.

Formatuuid

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/conversation-events"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",      "type": "conversation.assigned",      "actor": {        "type": "api_token",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "resource": {        "type": "api_token",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "details": {        "error": {          "code": "string",          "message": "string"        }      },      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}